unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleCtrls, SHDocVw_TLB, StdCtrls;

type
  TForm1 = class(TForm)
    WebBrowser1: TWebBrowser;
    Edit2: TEdit;
    ComboBox1: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormActivate(Sender: TObject);
    procedure Edit2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure ComboBox1DblClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  CurDir               :STRING;
  Inifil               :TEXT;
  IniRad               :STRING;
  OpenWB               :INTEGER;
  IniRader             :ARRAY[1..100] OF STRING;

implementation

{$R *.dfm}

 Procedure GetIni;
   Var
        p,pRad,Valu         :INTEGER;
 Begin
   CurDir:=GetCurrentDir;
   OpenWB:=0;
   For pRad:=1 to 100 do IniRader[p]:='';
   If FileExists(CurDir+'\WebBrowser.ini') then
     Begin
       Assign(Inifil,CurDir+'\WebBrowser.ini');
       Reset(Inifil);
       pRad:=0;
       While ((NOT EOF(Inifil)) AND (pRad<100)) do
         Begin
           pRad:=pRad+1;

           ReadLn(Inifil,IniRad);
           IniRader[pRad]:=IniRad;
           If (pRad=1) then
             Begin
               Val(IniRad,Valu,p);
               OpenWB:=Valu;
             end;
           If (pRad=2) then
             Begin
               Form1.ComboBox1.Text:=IniRad;
             end;
           If (pRad=3) then
             Begin
               Val(IniRad,Valu,p);
               If (p=0) then
                 Begin
                   Form1.Top:=Valu;
                 end;
             end;
           If (pRad=4) then
             Begin
               Val(IniRad,Valu,p);
               If (p=0) then
                 Begin
                   Form1.Left:=Valu;
                 end;
             end;
           If (pRad=5) then
             Begin
               Val(IniRad,Valu,p);
               If (p=0) then
                 Begin
                   Form1.Height:=Valu;
                 end;
             end;
            If (pRad=6) then
             Begin
               Val(IniRad,Valu,p);
               If (p=0) then
                 Begin
                   Form1.Width:=Valu;
                 end;
             end;
         end;
       Close(Inifil);
     end;
   Form1.WebBrowser1.Navigate(Form1.ComboBox1.Text);
 end;

 Procedure SetIni;
   Var
        pRad           :INTEGER;
 Begin
   Assign(Inifil,CurDir+'\WebBrowser.ini');
   Rewrite(Inifil);
   For pRad:=1 to 100 do
     WriteLn(Inifil,IniRader[pRad]);
   Close(Inifil);

 end;

 Procedure GetRad1;
    Var
        Valu,p    :INTEGER;
 Begin
  Assign(Inifil,CurDir+'\WebBrowser.ini');
  Reset(Inifil);
  ReadLn(Inifil,IniRader[1]);
  Close(Inifil);
  Val(IniRader[1],Valu,p);
  OpenWB:=Valu;

 end;
{***************************************************}

procedure TForm1.FormActivate(Sender: TObject);
begin
GetIni;

WebBrowser1.Height:=Form1.Height-80;
WebBrowser1.Width:=Form1.Width-30;
Edit2.Width:=Form1.Width-30;
OpenWB:=OpenWB+1;
IniRader[1]:=IntToStr(OpenWB);
Label2.Caption:=IniRader[1];

SetIni;

end;

procedure TForm1.Edit2MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
GetRad1;
Label2.Caption:=IniRader[1];
WebBrowser1.Refresh;
end;

procedure TForm1.ComboBox1DblClick(Sender: TObject);
begin
WebBrowser1.Navigate(comboBox1.Text);
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
GetRad1;
If (OpenWB>0) then OpenWb:=OpenWb-1;
IniRader[1]:=IntToStr(OpenWB);
SetIni;
end;

end.
