unit UnitWB;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleCtrls, SHDocVw_TLB, StdCtrls, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    PanelInt: TPanel;
    ComboBoxPInt1: TComboBox;
    WebBrowser1: TWebBrowser;
    LabelPInt3: TLabel;
    LabelPInt4: TLabel;
    EditPInt2: TEdit;
    BitBtnPInt1: TBitBtn;
    LabelPInt1: TLabel;
    LabelPInt2: TLabel;
    ButtonPInt1: TButton;
    ButtonPInt6: TButton;
    PanelURLSave: TPanel;
    LabelPURLSave1: TLabel;
    LabelPURLSave2: TLabel;
    LabelPURLSave3: TLabel;
    LabelPURLSave4: TLabel;
    SaveDialogURL: TSaveDialog;
    Timer1: TTimer;
    procedure FormActivate(Sender: TObject);
    procedure ComboBox1DblClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure ButtonPInt1Click(Sender: TObject);
    procedure WebBrowser1StatusTextChange(Sender: TObject;
      const Text: WideString);
    procedure ButtonPInt6Click(Sender: TObject);
    procedure ComboBoxPInt1Click(Sender: TObject);
    procedure ComboBoxPInt1DblClick(Sender: TObject);
    procedure ComboBoxPInt1KeyPress(Sender: TObject; var Key: Char);
    procedure EditPInt2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Timer1Timer(Sender: TObject);
  
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  CurDir               :STRING;
  Inifil               :TEXT;
  IniRad               :STRING;
  Rad1                 :STRING;
  OpenWB               :INTEGER;
  IniRader             :ARRAY[1..100] OF STRING;
  OldAdr               :STRING;
  Browspagenr          :INTEGER;
  URLlistChange        :BOOLEAN;
  Sparrad              :BOOLEAN;

implementation

{$R *.dfm}

 Procedure GetIni;
   Var
        p,pRad,Valu         :INTEGER;
 Begin
   CurDir:=GetCurrentDir;
   OpenWB:=0;
   For pRad:=1 to 100 do IniRader[p]:='';
   If FileExists(CurDir+'\WebBrowser.ini') then
     Begin
       Assign(Inifil,CurDir+'\WebBrowser.ini');
       Reset(Inifil);
       pRad:=0;
       While ((NOT EOF(Inifil)) AND (pRad<100)) do
         Begin
           pRad:=pRad+1;

           ReadLn(Inifil,IniRad);
           IniRader[pRad]:=IniRad;
           If (pRad=1) then
             Begin
               Val(IniRad,Valu,p);
               OpenWB:=Valu;
             end;
           If (pRad=2) then
             Begin
               Form1.ComboBoxPInt1.Text:=IniRad;
             end;
           If (pRad=3) then
             Begin
               Val(IniRad,Valu,p);
               If (p=0) then
                 Begin
                   Form1.Top:=Valu;
                 end;
             end;
           If (pRad=4) then
             Begin
               Val(IniRad,Valu,p);
               If (p=0) then
                 Begin
                   Form1.Left:=Valu;
                 end;
             end;
           If (pRad=5) then
             Begin
               Val(IniRad,Valu,p);
               If (p=0) then
                 Begin
                   Form1.Height:=Valu;
                 end;
             end;
            If (pRad=6) then
             Begin
               Val(IniRad,Valu,p);
               If (p=0) then
                 Begin
                   Form1.Width:=Valu;
                 end;
             end;
         end;
       Close(Inifil);
     end;
   Form1.WebBrowser1.Navigate(Form1.ComboBoxPInt1.Text);
   Form1.Timer1.Enabled:=True;

   Form1.PanelInt.Height:=Form1.Height-60;
   Form1.PanelInt.Width:=Form1.Width-10;
   Form1.WebBrowser1.Height:=Form1.PanelInt.Height-60;
   Form1.WebBrowser1.Width:=Form1.Width-30;
   Form1.EditPInt2.Width:=Form1.Width-30;

 end;

 Procedure SetIni;
   Var
        pRad           :INTEGER;
 Begin
   Assign(Inifil,CurDir+'\WebBrowser.ini');
   Rewrite(Inifil);
   For pRad:=1 to 100 do
     WriteLn(Inifil,IniRader[pRad]);
   Close(Inifil);

 end;

 Procedure GetRad1;
    Var
        Valu,p    :INTEGER;
 Begin
  Assign(Inifil,CurDir+'\WebBrowser.ini');
  Reset(Inifil);
  ReadLn(Inifil,IniRader[1]);
  Rad1:=IniRader[1];
  Close(Inifil);
  Val(IniRader[1],Valu,p);
  OpenWB:=Valu;

 end;
{***************************************************}

procedure TForm1.FormActivate(Sender: TObject);
begin
GetIni;
PanelInt.Height:=Form1.Height-60;
PanelInt.Width:=Form1.Width-10;
WebBrowser1.Height:=PanelInt.Height-60;
WebBrowser1.Width:=Form1.Width-30;
EditPInt2.Width:=Form1.Width-30;
OpenWB:=OpenWB+1;
IniRader[1]:=IntToStr(OpenWB);
LabelPInt4.Caption:=IniRader[1];

SetIni;

end;

procedure TForm1.ComboBox1DblClick(Sender: TObject);
begin
WebBrowser1.Navigate(ComboBoxPInt1.Text);
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
GetRad1;
If (OpenWB>0) then OpenWb:=OpenWb-1;
IniRader[1]:=IntToStr(OpenWB);
SetIni;
end;

procedure TForm1.ButtonPInt1Click(Sender: TObject);
Var
   p              :INTEGER;
   OldAdrNy       :BOOLEAN;
begin
If (Length(ComboBoxPInt1.Text)>0)then
Begin
PanelInt.Visible:=True;
LabelPInt2.Caption:='';
WebBrowser1.Width:=PanelInt.Width;
WebBrowser1.Height:=PanelInt.Height-60;

OldAdr:=ComboBoxPInt1.Text;
WebBrowser1.Navigate(OldAdr);
Browspagenr:=Browspagenr+1;
If Browspagenr>1 then BitBtnPInt1.Visible:=True
  else  BitBtnPInt1.Visible:=False;
p:=0;
OldAdrNy:=True;
While (p<ComboBoxPInt1.Items.Count) do
  Begin
    p:=p+1;
    If (ComboBoxPInt1.Items[p]=OldAdr) then OldAdrNy:=False;
  end;
If OldAdrNy then
  Begin
    ComboBoxPInt1.Items.Add(OldAdr);
    URLlistChange:=True;
  end;


end;
end;


procedure TForm1.WebBrowser1StatusTextChange(Sender: TObject;
  const Text: WideString);
begin
 LabelPInt2.Caption:=Text;
 ComboBoxPInt1Click(WebBrowser1);
end;

procedure TForm1.ButtonPInt6Click(Sender: TObject);
begin
If Sparrad then
  Begin
    Sparrad:=False;
    ButtonPInt6.Font.Color:=clWindowText;
    ButtonPInt6.Caption:='Sprr';
    Timer1.Enabled:=True;

  end
 else
  Begin
    Sparrad:=True;
    ButtonPInt6.Font.Color:=clRed;
    ButtonPInt6.Caption:='Sprrad';
    Timer1.Enabled:=False;
  end;
end;

procedure TForm1.ComboBoxPInt1Click(Sender: TObject);
begin
OldAdr:=ComboBoxPInt1.Text;
end;

procedure TForm1.ComboBoxPInt1DblClick(Sender: TObject);
begin
PanelURLSave.Visible:=True;
SaveDialogURL.FileName:=CurDir+'\URL.txt';
If  SaveDialogURL.Execute then
  Begin
    ComboBoxPInt1.Items.SaveToFile(SaveDialogURL.FileName);
    URLlistChange:=False;
  end;

PanelURLSave.Visible:=False;
end;

procedure TForm1.ComboBoxPInt1KeyPress(Sender: TObject; var Key: Char);
begin
If Ord(Key)=13 then  ButtonPInt1Click(ComboBoxPInt1);
end;


procedure TForm1.EditPInt2MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
GetRad1;
PanelInt.Height:=Form1.Height-60;
PanelInt.Width:=Form1.Width-10;
WebBrowser1.Height:=PanelInt.Height-60;
WebBrowser1.Width:=Form1.Width-30;
EditPInt2.Width:=Form1.Width-30;
LabelPInt4.Caption:=IniRader[1];
WebBrowser1.Refresh;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
If Sparrad then
  Begin
    Timer1.Enabled:=False;
  end
 else
  Begin
    GetRad1;
    If (Rad1='-2') then Halt;
  end;
end;

end.
